% Bahnkurve und Berechnung der Wegstrecke
format compact
clear
clc

% erster Satz von Parametern
T=0.5; % s
omega=2*pi/T; % rad/s
alpha=1; % m
beta=0.5; % m/s

t=(0:0.001:1)*2*T;
sx=alpha*cos(omega*t);
sy=beta*t;
figure(1); plot(sx,sy); xlabel('x (m)'); ylabel('y (m)'); 

vx=-alpha*omega*sin(omega*t);
vy=beta*ones(size(t));
vabs=sqrt(vx.^2+vy.^2);
figure(2); plot(t,vx,t,vy,t,vabs); 
xlabel('t (s)'); ylabel('vx, vy, |v| (m/s)'); grid;

S(1)=0;
for n=2:length(t)
    dt=t(n)-t(n-1);
    S(n)=S(n-1)+vabs(n-1)*dt; % Wegstrecke als Funktion der Zeit
end
figure(3); plot(t,S); 
xlabel('t (s)'); ylabel('Wegstrecke S (m)'); grid;
L1num=S(end) % gesamte Wegstrecke nach 2T

% analytische Berechnung
c=beta/(alpha*omega);
L1anl=8*alpha*sqrt(1+c^2)*ellipticE(1/(1+c^2))

% zweiter Satz von Parametern
T=2; % s
omega=2*pi/T; % rad/s
alpha=1; % m
beta=1; % m/s

t=(0:0.001:1)*2*T;
s=[alpha*cos(omega*t); beta*t]; 
v=[-alpha*omega*sin(omega*t); beta*ones(size(t))];
vx=v(1,:);
vy=v(2,:);
vabs=sqrt(vx.^2+vy.^2);
figure(4); plot(t,vx,t,vy,t,vabs); 
xlabel('t (s)'); ylabel('vx, vy, |v| (m/s)'); grid;

S(1)=0;
for n=2:length(t)
    dt=t(n)-t(n-1);
    S(n)=S(n-1)+vabs(n-1)*dt; % Wegstrecke als Funktion der Zeit
end
figure(5); plot(t,S); 
xlabel('t (s)'); ylabel('Wegstrecke S (m)'); grid;
L2num=S(end) % gesamte Wegstrecke nach 2T

% analytische Berechnung
c=beta/(alpha*omega);
L2anl=8*alpha*sqrt(1+c^2)*ellipticE(1/(1+c^2))

figure(1)

